:root {
  --vbb-overlay-opacity: 0.3 !important;
  --wp--preset--font-family--system-font: 'Kumbh Sans', Arial, Helvetica, sans-serif;
  --wp--preset--color--background: #512abd;
}

:where(.wp-site-blocks)>* {
  margin-block-start: 0;
  margin-block-end: 0;
}

.uk-background-white {
  background-color:#fff!important;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: 'Kumbh Sans', Arial, Helvetica, sans-serif !important;
  font-weight: 900 !important;
}

html,
body,
body>* {
  font-family: 'Kumbh Sans', Arial, Helvetica, sans-serif !important;
  font-weight: 400;
}

body {
  background-color: #512abd !important;
}

body.home {
  background-color: #fff !important;
}

section.uk-section-default,
div.uk-section-default,
article.uk-section-default {
  background-color: #512abd !important;
}

.uk-navbar-item,
.uk-navbar-nav>li>a,
header .uk-navbar-item,
header .uk-navbar-nav>li>a {
  font-family: 'Kumbh Sans', Arial, Helvetica, sans-serif !important;
  font-weight: 900 !important;
  line-height: 2 !important;
}

html {

  body.blog,
  body.single {
    --wp--preset--color--background: #512abd !important;
    --wp--preset--color--foreground: #fffff !important;
    background-color: #512abd !important;
    color: #fff;

    section,
    main {
      background-color: #512abd !important;
    }
  }
}

.uk-text-contrast,.text-white,.white-text {
  color: #fff !important;
}
.bg-white,.uk-background-white,.background-white {
  color: #fff !important;
}

.blog h1,
.single h1,
.uk-contrast p,
.uk-contrast h1,
.uk-contrast h2,
.uk-contrast h3,
.uk-contrast h4,
.uk-contrast ul,
.uk-contrast blockquote,
.uk-contrast div,
.uk-contrast .has-background-color,
.uk-contrast .has-background-color>* {
  color: #fff !important;
  a {
    color: #fff !important;
    text-decoration:underline;
  }
}

.uk-navbar-nav>li>a,
.uk-navbar a {
  min-height: 0 !important;
}

.site-title.wp-block-site-title {
  font-size: var(--wp--preset--font-size--small);
}

.sitename-logo {
  text-decoration: none;
  width: 250px;
  display: flex;
  gap: 10px;
  align-items: center;
  justify-content: space-between;

  span {
    font-size: 10px;
    text-transform: uppercase;
    letter-spacing: 0.05em;
  }
}

.text-stroke {
  color: rgba(0, 0, 0, 0.8);
  -webkit-text-stroke: 2px #fff;
  paint-order: stroke fill;
}

.sitename-logo svg {
  width: 110px;
  height: auto;
}

.sitename-logo span {
  display: block;
  font-size: var(--wp--preset--font-size--small);
}

.main-header {
  position: fixed;
  left: 0;
  top: 0;
  right: 0;
  max-width: 100vw;
  z-index: 5;
  background: #3F5EFB;
  background: linear-gradient(180deg, rgba(63, 94, 251, 0.8) 0%, rgba(170, 80, 169, 0.7) 50%, rgba(252, 70, 107, 0.2) 100%, rgba(252, 70, 107, 0.1) 100%);
}

.wp-block-vbb-video-bg,
.vbbVideoOverlay.wp-block-vbb-video-bg .vbbVideoOverlay::after,
.wp-block-vbb-video-bg .vbbVideoOverlay::before {
  z-index: 1;
}

.uk-textarea {
  max-height: 90px;
  max-width: 75%;
  display: block;
}

ul.wp-block-list {
  list-style: none;
  /* quitamos el puntito */
  padding-left: 0;
}

ul.wp-block-list li {
  position: relative;
  padding-left: 1.2em;
  /* espacio para el chevron */
}

ul.wp-block-list li::before {
  content: "›";
  /* chevron hacia la derecha */
  position: absolute;
  left: 0;
  top: 0;
  color: inherit;
  /* mismo color que el texto, cámbialo si quieres */
  font-weight: 700;
}

.wp-block-post-title {
  max-width: 700px
}

.featured-row {
  height: 43vh;

  .wp-block-post-featured-image {
    position: absolute;
    left: 50%;
    top: 50%;
    min-width: 100%;
    width: 100%;
    height: auto;
    transform: translate(-50%, -33%);
  }
}

.uk-card-default {

  p,
    h2,
  h3,
  ul,
  ol {
    color: #b23de4 !important;
  }

  a {
    color: #6a3de4;
  }
}

.meme img {
  filter: brightness(1.35);
}

.uk-contrast {
  .uk-card-default {

    p,
    h2,
    h3,
    ul,
    ol {
      color: #79468f !important;
    }

    a:not(.wp-block-button__link):not(.wp-block-button>a) {
      color: blue;
    }
  }
  &.wp-block-buttons a {
    color:#fff!important;
  }
  .wp-block-latest-posts__post-title {
    color:#fff!important;
    
  }
}
.wp-block-button{transition:0.3s;transform-origin:50% 66%}
.wp-block-button[style*="color:#fff"] > a {color:#fff!important;}
.wp-block-button:hover {
  transform:scale(1.18);
  a {
    text-decoration:none;
  }
}

.wp-block-latest-posts__list {
  li {
    max-width: 360px;
    .wp-block-latest-posts__featured-image {
      overflow:hidden;position:relative;z-index:1;
      padding:60% 0 0 0;
      margin-bottom:20px;
      img {
        position:absolute;
        left:50%;
        top:50%;
        transform:translate(-50%, -50%);
        max-width:150%;
        min-height:100%;
        min-width:100%;
        width:auto;
        height:auto;
      }
    }
    .wp-block-latest-posts__post-title {
      text-decoration:none!important;
      font-size:1.4rem;
      display:block;
      
    }
  }
}
